Bug 1303168 - python-docker-registry-core: Provide a Python 3 subpackage
python-docker-registry-core: Provide a Python 3 subpackage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-docker-registry-core (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2016-01-29 13:27 EST by Petr Viktorin
Modified: 2016-04-02 02:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-02 02:27:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Viktorin 2016-01-29 13:27:49 EST
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Charalampos Stratakis 2016-02-15 10:45:12 EST
Ping?

No response as of yet from the maintainer
Comment 2 Lokesh Mandvekar 2016-02-15 10:57:20 EST
Hi, sorry about the late reply, we plan to retire docker-registry and have it obsoleted by docker-distribution. I guess that would take care of this issue, unless someone explicitly requires this package or the python3 version of it.
Comment 3 Lokesh Mandvekar 2016-02-15 10:59:17 EST
ohh i see this is for python-docker-registry-core, I'll check if there are any packages other than docker-registry using it (don't think there's any) and retire this along with docker-registry.
Comment 4 Jan Kurik 2016-02-24 09:21:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Fedora Admin XMLRPC Client 2016-04-02 00:22:35 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.